<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Smart Folder:  Fichier source de inc/list.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Smart Folder
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">Un répertoire virtuel de recherche de fichiers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('list_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">list.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="list_8h.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef _LIST_H_</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define _LIST_H_</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="structnode__t.html">   20</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structnode__t.html">node_t</a> {</div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="structnode__t.html#aa69340d9d81a183ddfbfec74a7524966">   21</a></span>&#160;    <span class="keywordtype">void</span>* <a class="code" href="structnode__t.html#aa69340d9d81a183ddfbfec74a7524966">data</a>;             </div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="structnode__t.html#aca548c9bafe54ba9db19d40a7a7f1cb3">   22</a></span>&#160;    <span class="keyword">struct </span><a class="code" href="structnode__t.html">node_t</a>* <a class="code" href="structnode__t.html#aca548c9bafe54ba9db19d40a7a7f1cb3">next</a>;    </div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;} <a class="code" href="list_8h.html#a7856550eaf3d2ba89448e2795b8a744e">node_t</a>;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<a class="code" href="structnode__t.html">node_t</a>* <a class="code" href="list_8h.html#a52fd8ae050abb2e6a6bd7aa17ad20a42">new_list</a>();</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keywordtype">int</span> <a class="code" href="list_8h.html#a2470dc01cbfccd978242c9aa5fff1217">is_empty</a>(<a class="code" href="structnode__t.html">node_t</a>* list);</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keywordtype">void</span> <a class="code" href="list_8h.html#afd9fffaa9cb079406050bfb4dfb062ff">insert_head</a>(<a class="code" href="structnode__t.html">node_t</a>** list, <span class="keywordtype">void</span>* <a class="code" href="structnode__t.html#aa69340d9d81a183ddfbfec74a7524966">data</a>);</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keywordtype">void</span> <a class="code" href="list_8h.html#a892dd296a519b13603b2261285357b47">insert_tail</a>(<a class="code" href="structnode__t.html">node_t</a>** list, <span class="keywordtype">void</span>* <a class="code" href="structnode__t.html#aa69340d9d81a183ddfbfec74a7524966">data</a>);</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<a class="code" href="structnode__t.html">node_t</a> <a class="code" href="list_8h.html#ab931a1e780637e15a9ff7a681778fbbc">remove_node</a>(<a class="code" href="structnode__t.html">node_t</a>** list, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> pos);</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<a class="code" href="structnode__t.html">node_t</a>* <a class="code" href="list_8h.html#a6d0b50d781695455291f0dd63d601918">get_node</a>(<a class="code" href="structnode__t.html">node_t</a>* list, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> pos);</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="list_8h.html#a8ffe93a3beaf22d1d8cd6ee35beb1012">size</a>(<a class="code" href="structnode__t.html">node_t</a>* list);</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keywordtype">void</span> <a class="code" href="list_8h.html#aa13b0ecb36f4cdbbc2f55e6b9cf1dd16">free_list</a>(<a class="code" href="structnode__t.html">node_t</a>* list);</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keywordtype">void</span> <a class="code" href="list_8h.html#af6f6e7ea883c6a2e36a6bfc6dd653f23">print_list</a>(<a class="code" href="structnode__t.html">node_t</a>* list, <span class="keywordtype">void</span>(*print)(<span class="keywordtype">void</span>* arg));</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="structnode__t_html"><div class="ttname"><a href="structnode__t.html">node_t</a></div><div class="ttdoc">Représente un noeud d&amp;#39;une liste. </div><div class="ttdef"><b>Definition:</b> list.h:20</div></div>
<div class="ttc" id="structnode__t_html_aca548c9bafe54ba9db19d40a7a7f1cb3"><div class="ttname"><a href="structnode__t.html#aca548c9bafe54ba9db19d40a7a7f1cb3">node_t::next</a></div><div class="ttdeci">struct node_t * next</div><div class="ttdef"><b>Definition:</b> list.h:22</div></div>
<div class="ttc" id="list_8h_html_afd9fffaa9cb079406050bfb4dfb062ff"><div class="ttname"><a href="list_8h.html#afd9fffaa9cb079406050bfb4dfb062ff">insert_head</a></div><div class="ttdeci">void insert_head(node_t **list, void *data)</div><div class="ttdoc">Insertion d&amp;#39;un élément à la tête de la liste. </div><div class="ttdef"><b>Definition:</b> list.c:39</div></div>
<div class="ttc" id="list_8h_html_af6f6e7ea883c6a2e36a6bfc6dd653f23"><div class="ttname"><a href="list_8h.html#af6f6e7ea883c6a2e36a6bfc6dd653f23">print_list</a></div><div class="ttdeci">void print_list(node_t *list, void(*print)(void *arg))</div><div class="ttdoc">Affichage de la liste sur la sortie standrad. </div><div class="ttdef"><b>Definition:</b> list.c:172</div></div>
<div class="ttc" id="list_8h_html_a6d0b50d781695455291f0dd63d601918"><div class="ttname"><a href="list_8h.html#a6d0b50d781695455291f0dd63d601918">get_node</a></div><div class="ttdeci">node_t * get_node(node_t *list, unsigned int pos)</div><div class="ttdoc">Récupération de l&amp;#39;élément ayant la position pos à partir de la liste. </div><div class="ttdef"><b>Definition:</b> list.c:109</div></div>
<div class="ttc" id="list_8h_html_a8ffe93a3beaf22d1d8cd6ee35beb1012"><div class="ttname"><a href="list_8h.html#a8ffe93a3beaf22d1d8cd6ee35beb1012">size</a></div><div class="ttdeci">unsigned int size(node_t *list)</div><div class="ttdoc">Calcul de la taille de la liste. </div><div class="ttdef"><b>Definition:</b> list.c:135</div></div>
<div class="ttc" id="structnode__t_html_aa69340d9d81a183ddfbfec74a7524966"><div class="ttname"><a href="structnode__t.html#aa69340d9d81a183ddfbfec74a7524966">node_t::data</a></div><div class="ttdeci">void * data</div><div class="ttdef"><b>Definition:</b> list.h:21</div></div>
<div class="ttc" id="list_8h_html_ab931a1e780637e15a9ff7a681778fbbc"><div class="ttname"><a href="list_8h.html#ab931a1e780637e15a9ff7a681778fbbc">remove_node</a></div><div class="ttdeci">node_t remove_node(node_t **list, unsigned int pos)</div><div class="ttdoc">Suppression de l&amp;#39;élément ayant la position pos de la liste. </div><div class="ttdef"><b>Definition:</b> list.c:74</div></div>
<div class="ttc" id="list_8h_html_a7856550eaf3d2ba89448e2795b8a744e"><div class="ttname"><a href="list_8h.html#a7856550eaf3d2ba89448e2795b8a744e">node_t</a></div><div class="ttdeci">struct node_t node_t</div><div class="ttdoc">Représente un noeud d&amp;#39;une liste. </div></div>
<div class="ttc" id="list_8h_html_a2470dc01cbfccd978242c9aa5fff1217"><div class="ttname"><a href="list_8h.html#a2470dc01cbfccd978242c9aa5fff1217">is_empty</a></div><div class="ttdeci">int is_empty(node_t *list)</div><div class="ttdoc">Vérifier si une liste est vide. </div><div class="ttdef"><b>Definition:</b> list.c:29</div></div>
<div class="ttc" id="list_8h_html_a52fd8ae050abb2e6a6bd7aa17ad20a42"><div class="ttname"><a href="list_8h.html#a52fd8ae050abb2e6a6bd7aa17ad20a42">new_list</a></div><div class="ttdeci">node_t * new_list()</div><div class="ttdoc">Création d&amp;#39;une nouvelle liste vide. </div><div class="ttdef"><b>Definition:</b> list.c:19</div></div>
<div class="ttc" id="list_8h_html_aa13b0ecb36f4cdbbc2f55e6b9cf1dd16"><div class="ttname"><a href="list_8h.html#aa13b0ecb36f4cdbbc2f55e6b9cf1dd16">free_list</a></div><div class="ttdeci">void free_list(node_t *list)</div><div class="ttdoc">Libération de la mémoire alouée par la liste. </div><div class="ttdef"><b>Definition:</b> list.c:154</div></div>
<div class="ttc" id="list_8h_html_a892dd296a519b13603b2261285357b47"><div class="ttname"><a href="list_8h.html#a892dd296a519b13603b2261285357b47">insert_tail</a></div><div class="ttdeci">void insert_tail(node_t **list, void *data)</div><div class="ttdoc">Insertion d&amp;#39;un élément à la queue de la liste. </div><div class="ttdef"><b>Definition:</b> list.c:52</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_bfccd401955b95cf8c75461437045ac0.html">inc</a></li><li class="navelem"><a class="el" href="list_8h.html">list.h</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
